use crate::types::Object;

#[derive(Debug, Clone)]
pub struct GlobalSettings<'g, 's> {
    pub radio_targets: Vec<&'g Vec<Object<'s>>>,
}

impl<'g, 's> GlobalSettings<'g, 's> {
    pub fn new() -> Self {
        GlobalSettings {
            radio_targets: Vec::new(),
        }
    }
}

impl<'g, 's> Default for GlobalSettings<'g, 's> {
    fn default() -> Self {
        GlobalSettings::new()
    }
}
